EMPDUMP(6)

NAME
empdump - Export/import Empire game state

SYNOPSIS
empdump [ -hmnvx ] [ -e configfile ] [ -i dump-file ]

DESCRIPTION
empdump exports and imports game state as plain text.

OPTIONS

-e configfile
    Use game configuration in configfile.

-h  Help. Print brief usage information and exit.

-i dump-file
    Import from dump-file.

-m  Use machine-readable format for export. Import always recognizes both machine-readable and human-readable format.

-n  Dry run, don't actually update game state on import.

-v  Print version information and exit.

-x  Export game state to standard output.

LIMITATIONS
empdump can't export player bmaps, power report, telegrams, announcements, message of the day, no-login message and log files. Exported floating-point values may be inexact. Importing an exported game state may not result in identical data files; besides the loss of floating-point precision just mentioned, coordinates are normalized, and characters beyond a string's terminating zero in a character array are lost.

SEE ALSO
emp_server(6).

AUTHOR
Markus Armbruster <armbru@pond.sub.org>